@REM This script must be called by another scripts defining:
@REM   set SCK_PATH=<path to the sck jar tool including the jar name itself>
@REM   set SCKEXTRA_PATH=<path to the sckExtraPack tool>
@REM   set INPUT_PATH=<path to the files to convert>
@REM   set XML_NAME=<xml file name inside the INPUT_PATH path>
@REM   set OUTPUT_PATH=<path to the output directory>
@REM   set JAVA_EXTRA_PARAMS=<extra params like the one to increase java heap max size to avoid out of memory>
@REM The call can be done be:
@REM   call "%SCKEXTRA_PATH%/<this script sub-path inside SCKEXTRA_PATH including the script name itself>"

@REM Handle strings
  IF "%DUNGEON_STRINGS%"=="" set DUNGEON_STRINGS="file:///%SCKEXTRA_PATH%\dungeon\strings\dm_en.xml"

IF NOT EXIST "%OUTPUT_PATH%" mkdir "%OUTPUT_PATH%"

@REM Convert/copy items (bmp, pal, wav, txt) to web format
@REM  java -jar "%SCK_PATH%" convertMedia -dir "%INPUT_PATH%" -src_ext "bmp" -dst_dir "%OUTPUT_PATH%" -dst_ext "png" -dst_type "png" -add_size -cleanoutputdir
@REM  java -jar "%SCK_PATH%" convertMedia -dir "%INPUT_PATH%" -src_ext "pal" -dst_dir "%OUTPUT_PATH%" -dst_ext "png" -dst_type "png"
@REM  java -jar "%SCK_PATH%" convertMedia -dir "%INPUT_PATH%" -src_ext "wav" -dst_dir "%OUTPUT_PATH%" -dst_ext "mp3" -dst_type "mp3" -external_helper "%SCKEXTRA_PATH%\mapfile\mp3\lame.exe --resample 44.1"
@REM  java -jar "%SCK_PATH%" copy "%INPUT_PATH%\*.txt" "%OUTPUT_PATH%"

@REM Convert XML to HTML  
  java %JAVA_EXTRA_PARAMS% -jar "%SCK_PATH%" stylize "%SCKEXTRA_PATH%\dungeon\xsl\dungeon.xsl" "%INPUT_PATH%\%XML_NAME%" -xsl_params "resources_path=../../resources/dungeon;output_path=%OUTPUT_PATH%;strings_xml=%DUNGEON_STRINGS%;%XSL_EXTRA_PARAMS%"

@REM Copy common file (js, css, images)
  java -jar "%SCK_PATH%" copy "%SCKEXTRA_PATH%\dungeon\*" "%OUTPUT_PATH%\..\..\resources\dungeon"
  rmdir /S /Q "%OUTPUT_PATH%\..\..\resources\dungeon\xsl"
  rmdir /S /Q "%OUTPUT_PATH%\..\..\resources\dungeon\strings"

@REM Handle pause
  IF NOT "%DO_PAUSE%"=="0" pause