@REM This script must be called by another scripts defining:
@REM   set SCK_PATH=<path to the sck jar tool including the jar name itself>
@REM   set SCKEXTRA_PATH=<path to the sckExtraPack tool>
@REM   set INPUT_PATH=<path to the files to convert>
@REM   set XML_NAME=<xml file name inside the INPUT_PATH path>
@REM   set OUTPUT_PATH=<path to the output directory>
@REM   set OUTPUT_NAME=<html file name inside the OUTPUT_PATH>
@REM The call can be done be:
@REM   call "%SCKEXTRA_PATH%/<this script sub-path inside SCKEXTRA_PATH including the script name itself>"

IF NOT EXIST "%OUTPUT_PATH%" mkdir "%OUTPUT_PATH%"
  
@REM Convert/copy items (bmp, pal, wav, txt) to web format
  java -jar "%SCK_PATH%" convertMedia -dir "%INPUT_PATH%" -src_ext "bmp" -dst_dir "%OUTPUT_PATH%" -dst_ext "png" -dst_type "png" -add_size -cleanoutputdir
  java -jar "%SCK_PATH%" convertMedia -dir "%INPUT_PATH%" -src_ext "pal" -dst_dir "%OUTPUT_PATH%" -dst_ext "png" -dst_type "png"
  java -jar "%SCK_PATH%" convertMedia -dir "%INPUT_PATH%" -src_ext "wav" -dst_dir "%OUTPUT_PATH%" -dst_ext "mp3" -dst_type "mp3" -external_helper "%SCKEXTRA_PATH%\mapfile\mp3\lame.exe --resample 44.1"
  java -jar "%SCK_PATH%" copy "%INPUT_PATH%\*.txt" "%OUTPUT_PATH%"

@REM Convert XML to HTML
  java -jar "%SCK_PATH%" stylize "%SCKEXTRA_PATH%\ftl\xsl\ftl.xsl " "%INPUT_PATH%\%XML_NAME%" -xsl_params "resources_path=../../resources/mapfile"> "%OUTPUT_PATH%\%OUTPUT_NAME%"

@REM Copy common file (js, css, images)
  java -jar "%SCK_PATH%" copy "%SCKEXTRA_PATH%\mapfile\*" "%OUTPUT_PATH%\..\..\resources\mapfile"
  rmdir /S /Q "%OUTPUT_PATH%\..\..\resources\mapfile\xsl"

@REM Handle pause
  IF NOT "%DO_PAUSE%"=="0" pause