<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:xsltc="http://xml.apache.org/xalan/xsltc"
 xmlns:redirect="http://xml.apache.org/xalan/redirect"
 extension-element-prefixes="redirect"
>
<xsl:param name="resources_path">.</xsl:param>

<xsl:template match="htc">

<HTML>
  <HEAD>
    <TITLE>HTC extracted items</TITLE>
    <LINK rel="stylesheet" type="text/css"><xsl:attribute name="href"><xsl:value-of select="$resources_path"/>/styles/htc.css</xsl:attribute></LINK>
    <SCRIPT type="text/javascript"><xsl:attribute name="src"><xsl:value-of select="$resources_path"/>/js/htc.js</xsl:attribute></SCRIPT>
  </HEAD>
<BODY>

<SCRIPT type="text/javascript">
  <xsl:for-each select="locations/location">var location_<xsl:value-of select="@level"/><xsl:if test="@x!=255">_<xsl:value-of select="@x"/></xsl:if><xsl:if test="@y!=255">_<xsl:value-of select="@y"/></xsl:if> = new Array(<xsl:for-each select="hint"><xsl:if test="count(preceding-sibling::*[@index=current()/@index])=0">"H<xsl:value-of select="@index"/>"<xsl:if test="position()!=last()">,</xsl:if></xsl:if><xsl:if test="count(preceding-sibling::*[@index=current()/@index])&gt;0"><xsl:if test="position()=last()">""</xsl:if></xsl:if></xsl:for-each>);
  </xsl:for-each>
</SCRIPT>

<TABLE>
<TR><TD class="section_title">Items extracted from</TD><TD class="section_title_right"><xsl:value-of select="@resource"/></TD></TR>
<TR><TD>(<xsl:value-of select="count(locations/location)"/> locations)</TD></TR>
<TR><TD>(<xsl:value-of select="count(hints/hint)"/> hints)</TD></TR>
<TR><TD>(<xsl:value-of select="count(pages/page)"/> pages)</TD></TR>
</TABLE>
<HR/>
<BR/>

<FORM name="location">
<B>level <input type="text" size="2" name="level"/> x <input type="text" size="2" name="x"/> y <input type="text" size="2" name="y"/> <a href="javascript:computeAndShow();" style="color: #FFFFFF">show</a></B>
</FORM>
<div id="imap">
<span class="hide" id="HNO">There are no clues for this location.</span>
<xsl:for-each select="hints/hint">
  <xsl:variable name="hint_index" select="@index"/>
  <xsl:variable name="title" select="@name"/>
  <xsl:variable name="first_page" select="@first_page"/>
  <xsl:variable name="number_of_pages" select="@number_of_pages"/>
  <xsl:variable name="last_page" select="$first_page + $number_of_pages"/>
  <xsl:for-each select="/htc/pages/page[@index&gt;=$first_page and @index&lt;$last_page]">
  <span class="hide"><xsl:attribute name="id">H<xsl:value-of select="$hint_index"/>_<xsl:value-of select="position()"/></xsl:attribute><xsl:value-of select="$title"/><br/><xsl:value-of select="."/> (<xsl:value-of select="position()"/>/<xsl:value-of select="$number_of_pages"/>)</span>
  </xsl:for-each>
</xsl:for-each>
<span id="sectionprevious"><a id="previous" title="previous" href="javascript:previous();"/></span>
<span id="sectionnext"><a id="next" title="next" href="javascript:next();"/></span>
</div>

</BODY>
</HTML>

</xsl:template>
</xsl:stylesheet>