<?xml version="1.0" encoding="ISO-8859-1"?>
<xsl:stylesheet version="1.0"
 xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
 xmlns:redirect="http://xml.apache.org/xalan/redirect"
 extension-element-prefixes="redirect"
>
<xsl:import href="../../common/xsl/common.xsl"/>

<xsl:param name="output_path">.</xsl:param>
<xsl:param name="resources_path">.</xsl:param>
<xsl:variable name="file" select="concat($output_path, '/_graphics_files')"/> 

<xsl:template match="mapfile">

<HTML>
  <HEAD>
  <TITLE>mapfile extracted items</TITLE>
  <LINK rel="stylesheet" type="text/css"><xsl:attribute name="href"><xsl:value-of select="$resources_path"/>/styles/mapfile.css</xsl:attribute></LINK>
  </HEAD>
<BODY>
  <SCRIPT type="text/javascript"><xsl:attribute name="src"><xsl:value-of select="$resources_path"/>/js/soundmanager2.js</xsl:attribute></SCRIPT>
  <SCRIPT type="text/javascript">
    soundManager.debugMode = false; 
    soundManager.url = '../../resources/mapfile/js/soundmanager2.swf';
  </SCRIPT>
  <SCRIPT type="text/javascript"><xsl:attribute name="src"><xsl:value-of select="$resources_path"/>/js/mysoundmanager.js</xsl:attribute></SCRIPT>

<DIV><SPAN class="section_title">Items extracted from </SPAN><SPAN class="section_title_right"><xsl:value-of select="@resource"/></SPAN><SPAN class="count">(<xsl:value-of select="count(item)"/> items)</SPAN></DIV>
<BR/><HR/><BR/>

<xsl:if test="@dump_txt">
<xsl:if test="string-length(@dump_txt) > 0">
  <A><xsl:attribute name="href"><xsl:call-template name="filename"><xsl:with-param name="path" select="@dump_txt"/></xsl:call-template></xsl:attribute><xsl:text>TXT dump</xsl:text></A>
</xsl:if>
</xsl:if>
<TABLE>
<xsl:for-each select="item[position()mod 4 = 1]">
  <TR>
  <xsl:for-each select=". | following-sibling::item[position() &lt; 4]">
    <TD align="center" valign="bottom" style="border-bottom-width: 0;">
      <xsl:if test="starts-with(type,'IMG') or starts-with(type,'FNT') or starts-with(type,'P3') or starts-with(type,'P4') or starts-with(type,'P5') or starts-with(type,'P8') or starts-with(type,'TILEMAP') or starts-with(type,'SPRITEMAP') or starts-with(type,'ROMIMG') or starts-with(type,'CMP') or starts-with(type,'BMP') or contains(type,'MASK') or contains(type,'GRAPH') or contains(type,'DL') or contains(type,'EN') or contains(type,'FS') or contains(type,'GD') or contains(type,'PL')">
        <xsl:variable name="width" select="width"/> 
        <xsl:variable name="height" select="height"/> 
        <xsl:for-each select="files/file">
         <xsl:if test="(not(starts-with(../../type,'PL')) and not(starts-with(../../type,'P3')) and not(starts-with(../../type,'P4')) and not(starts-with(../../type,'P5')) and not(starts-with(../../type,'P8')) and ../../type != 'EN' and ../../type != 'DL' and ../../type != 'FS' and ../../type != 'GD') or position()=1">
          <xsl:variable name="extension"><xsl:call-template name="ext">
            <xsl:with-param name="path" select="."/>
          </xsl:call-template></xsl:variable>
          <xsl:if test="$extension='.bmp' or $extension='.pal'">
            <xsl:if test="position()!=1">&#160;&#160;</xsl:if>
            <xsl:call-template name="graphics-img">
              <xsl:with-param name="path"   select="."/>
              <xsl:with-param name="width"  select="$width"/>
              <xsl:with-param name="height" select="$height"/>
            </xsl:call-template>
          </xsl:if>
         </xsl:if>
        </xsl:for-each>
      </xsl:if>
      <xsl:if test="starts-with(type,'TXT') or starts-with(type,'PALAN')">
        <A><xsl:attribute name="href"><xsl:call-template name="filename">
            <xsl:with-param name="path" select="files/file[position()=1]"/>
          </xsl:call-template></xsl:attribute><IMG border="0" width="60" height="66"><xsl:attribute name="src"><xsl:value-of select="$resources_path"/>/images/_text.png</xsl:attribute></IMG>
        </A>
      </xsl:if>
      <xsl:if test="contains(type,'SND') or starts-with(type,'SEQ') or starts-with(type,'MD') or starts-with(type,'MF') or starts-with(type,'SD') or starts-with(type,'SF')">
        <IMG width="85" height="81">
          <xsl:attribute name="src"><xsl:value-of select="$resources_path"/>/images/_sound.png</xsl:attribute>
          <xsl:attribute name="onClick">mySoundManagerPlay('Snd<xsl:value-of select="@id"/>','<xsl:call-template name="filename-noext">
            <xsl:with-param name="path" select="files/file[position()=1]"/>
          </xsl:call-template>.mp3');</xsl:attribute>
        </IMG>
      </xsl:if>
      <xsl:if test="starts-with(type,'INT')">
        <xsl:value-of select="files/file[position()=1]/@content"/>
      </xsl:if>
      <xsl:if test="contains(type,'AMG')">
        <xsl:variable name="file1"><xsl:call-template name="url-encode-sck">
          <xsl:with-param name="str" select="files/file[position()=1]"/>
        </xsl:call-template></xsl:variable>
          <xsl:if test="document($file1)/alternate_monter_graphic/graphics/graphic_front">
            <xsl:call-template name="graphics-img">
              <xsl:with-param name="path"   select="document($file1)/alternate_monter_graphic/graphics/graphic_front/file"/>
              <xsl:with-param name="width"  select="(document($file1)/alternate_monter_graphic/item12_frontrearbytewidth) * 2"/>
              <xsl:with-param name="height" select="document($file1)/alternate_monter_graphic/item12_frontrearheight"/>
            </xsl:call-template>
            <BR/><BR/>
          </xsl:if>
          <xsl:if test="document($file1)/alternate_monter_graphic/graphics/graphic_rear">
            <xsl:call-template name="graphics-img">
              <xsl:with-param name="path"   select="document($file1)/alternate_monter_graphic/graphics/graphic_rear/file"/>
              <xsl:with-param name="width"  select="(document($file1)/alternate_monter_graphic/item12_frontrearbytewidth) * 2"/>
              <xsl:with-param name="height" select="document($file1)/alternate_monter_graphic/item12_frontrearheight"/>
            </xsl:call-template>
            <BR/><BR/>
          </xsl:if>
          <xsl:if test="document($file1)/alternate_monter_graphic/graphics/graphic_side">
            <xsl:call-template name="graphics-img">
              <xsl:with-param name="path"   select="document($file1)/alternate_monter_graphic/graphics/graphic_side/file"/>
              <xsl:with-param name="width"  select="(document($file1)/alternate_monter_graphic/item12_sidebytewidth) * 2"/>
              <xsl:with-param name="height" select="document($file1)/alternate_monter_graphic/item12_sideheight"/>
            </xsl:call-template>
            <BR/><BR/>
          </xsl:if>
          <xsl:if test="document($file1)/alternate_monter_graphic/graphics/graphic_attack">
            <xsl:call-template name="graphics-img">
              <xsl:with-param name="path"   select="document($file1)/alternate_monter_graphic/graphics/graphic_attack/file"/>
              <xsl:with-param name="width"  select="(document($file1)/alternate_monter_graphic/item12_attackbytewidth) * 2"/>
              <xsl:with-param name="height" select="document($file1)/alternate_monter_graphic/item12_attackheight"/>
            </xsl:call-template>
          </xsl:if>
      </xsl:if>
      <xsl:if test="contains(type,'MASK')">
        <xsl:variable name="file1"><xsl:call-template name="url-encode-sck">
          <xsl:with-param name="str" select="files/file[position()=1]"/>
        </xsl:call-template></xsl:variable>
        <xsl:for-each select="document($file1)/background_mask/mask_entries/mask_entry">
          <xsl:if test="width != 0">
            <xsl:call-template name="graphics-img">
              <xsl:with-param name="path"   select="graphic/file"/>
              <xsl:with-param name="width"  select="width"/>
              <xsl:with-param name="height" select="height"/>
            </xsl:call-template>
            <BR/><BR/>
          </xsl:if>
        </xsl:for-each>
      </xsl:if>
    </TD>
  </xsl:for-each>
  </TR>
  <TR>
    <xsl:for-each select=". | following-sibling::item[position() &lt; 4]">  
      <TD align="center" style="border-top-width: 0;">
        <B>
        <xsl:variable name="description"><xsl:value-of select="description"/></xsl:variable>
        <xsl:variable name="long_description"><xsl:value-of select="long_description"/></xsl:variable>
        <xsl:variable name="animation_type"><xsl:value-of select="animation_item/@type"/></xsl:variable>
        <span class="legend_cat">[<xsl:value-of select="@id"/>]</span><span class="legend"><xsl:if test="string-length($animation_type) > 0"><xsl:text> </xsl:text><xsl:value-of select="$animation_type"/></xsl:if><xsl:if test="string-length($description) > 0"><xsl:text> </xsl:text><xsl:value-of select="$description"/></xsl:if><xsl:if test="string-length($long_description) > 0"> (<xsl:value-of select="$long_description"/>)</xsl:if></span>
        </B>
      </TD>
    </xsl:for-each>
  </TR>  
</xsl:for-each>
</TABLE>

</BODY>
</HTML>

</xsl:template>

</xsl:stylesheet>